Bug 1103917 - Review Request: python-cornice - Define Web Services in Pyramid
Summary: Review Request: python-cornice - Define Web Services in Pyramid
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1103897 1108350 1108914
Blocks: 1103898
TreeView+ depends on / blocked
 
Reported: 2014-06-02 21:18 UTC by Mathieu Bridon
Modified: 2014-06-12 20:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-05 02:57:48 UTC
Type: ---
karlthered: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mathieu Bridon 2014-06-02 21:18:01 UTC
Spec URL: http://bochecha.fedorapeople.org/packages/python-cornice.spec
SRPM URL: http://bochecha.fedorapeople.org/packages/python-cornice-0.16.2-1.fc20.src.rpm

Description:
Define Web Services in Pyramid

Fedora Account System Username: bochecha

Comment 1 Haïkel Guémar 2014-06-04 14:37:17 UTC
I hereby approve of python-cornice into Fedora Packages Collection.
The rpmlint errors could be safely ignored.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated", "*No copyright* MPL (v2.0)". 4 files have unknown
     license. Detailed output of licensecheck in /home/haikel/1103917-python-
     cornice/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.4/site-packages,
     /usr/lib/python3.4
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.4/site-packages,
     /usr/lib/python3.4
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 8 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[ ]: Python eggs must not download any dependencies during the build process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-cornice , python3-cornice-sphinx
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-cornice-0.16.2-1.fc21.noarch.rpm
          python-cornice-sphinx-0.16.2-1.fc21.noarch.rpm
          python3-cornice-0.16.2-1.fc21.noarch.rpm
          python3-cornice-sphinx-0.16.2-1.fc21.noarch.rpm
          python-cornice-0.16.2-1.fc21.src.rpm
python-cornice.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/cornice/scaffolds/cornice/+package+/__init__.py_tmpl
python-cornice.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/cornice/scaffolds/cornice/setup.py_tmpl
python-cornice.noarch: E: backup-file-in-package /usr/lib/python2.7/site-packages/cornice/scaffolds/cornice/.setup.py_tmpl.un~
python-cornice.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/cornice/scaffolds/cornice/README.rst_tmpl
python-cornice.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/cornice/scaffolds/cornice/+package+/views.py_tmpl
python-cornice.noarch: E: backup-file-in-package /usr/lib/python2.7/site-packages/cornice/scaffolds/.__init__.py.un~
python-cornice.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/cornice/scaffolds/cornice/+package+.ini_tmpl
python-cornice-sphinx.noarch: W: no-documentation
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/scaffolds/__pycache__/__init__.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/scaffolds/__pycache__/__init__.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/tests/__pycache__/test_init.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/tests/__pycache__/test_init.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/tests/__pycache__/test_cors.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/ext/__pycache__/spore.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/tests/__pycache__/test_cors.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/__pycache__/resource.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: script-without-shebang /usr/lib/python3.4/site-packages/cornice/scaffolds/cornice/+package+/__init__.py_tmpl
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/tests/__pycache__/test_service.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: backup-file-in-package /usr/lib/python3.4/site-packages/cornice/scaffolds/.__init__.py.un~
python3-cornice.noarch: E: script-without-shebang /usr/lib/python3.4/site-packages/cornice/scaffolds/cornice/+package+/views.py_tmpl
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/tests/__pycache__/test_service.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/tests/__pycache__/validationapp.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/tests/__pycache__/validationapp.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/tests/__pycache__/test_service_description.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/__pycache__/cors.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/__pycache__/cors.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/tests/__pycache__/test_service_description.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/__pycache__/validators.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/__pycache__/validators.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/__pycache__/util.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/ext/__pycache__/__init__.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/ext/__pycache__/__init__.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/__pycache__/util.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/tests/__pycache__/test_resource.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/tests/__pycache__/test_resource.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/tests/__pycache__/test_validation.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/tests/__pycache__/test_validation.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/scaffolds/__init__.pyc expected 3260 (3.4), found 62211 (2.7)
python3-cornice.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.4/site-packages/cornice/scaffolds/__init__.pyc 2012-09-10T16:55:08 /usr/lib/python3.4/site-packages/cornice/scaffolds/__init__.py 2014-06-04T15:07:19
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/ext/__pycache__/spore.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/__pycache__/service.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/__pycache__/service.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/tests/ext/__pycache__/test_spore.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/tests/ext/__pycache__/test_spore.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/__pycache__/pyramidhook.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/tests/__pycache__/test_pyramidhook.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/__pycache__/pyramidhook.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: script-without-shebang /usr/lib/python3.4/site-packages/cornice/scaffolds/cornice/setup.py_tmpl
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/tests/ext/__pycache__/test_sphinxext.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: backup-file-in-package /usr/lib/python3.4/site-packages/cornice/scaffolds/cornice/.setup.py_tmpl.un~
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/tests/ext/__pycache__/test_sphinxext.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/__pycache__/__init__.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/__pycache__/__init__.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/tests/__pycache__/test_pyramidhook.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/__pycache__/errors.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: script-without-shebang /usr/lib/python3.4/site-packages/cornice/scaffolds/cornice/+package+.ini_tmpl
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/__pycache__/errors.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/tests/__pycache__/__init__.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/__pycache__/schemas.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/__pycache__/schemas.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/tests/__pycache__/__init__.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/tests/__pycache__/test_service_definition.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/tests/__pycache__/test_service_definition.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/__pycache__/resource.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: script-without-shebang /usr/lib/python3.4/site-packages/cornice/scaffolds/cornice/README.rst_tmpl
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/tests/__pycache__/test_schemas.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/tests/__pycache__/support.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/tests/ext/__pycache__/__init__.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/tests/__pycache__/support.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/tests/ext/__pycache__/__init__.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/tests/__pycache__/test_schemas.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python3-cornice-sphinx.noarch: W: no-documentation
python3-cornice-sphinx.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/ext/__pycache__/sphinxext.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python3-cornice-sphinx.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/ext/__pycache__/sphinxext.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
5 packages and 0 specfiles checked; 72 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-cornice-sphinx python-cornice python3-cornice-sphinx python3-cornice
python-cornice-sphinx.noarch: W: no-documentation
python-cornice.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/cornice/scaffolds/cornice/+package+/__init__.py_tmpl
python-cornice.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/cornice/scaffolds/cornice/setup.py_tmpl
python-cornice.noarch: E: backup-file-in-package /usr/lib/python2.7/site-packages/cornice/scaffolds/cornice/.setup.py_tmpl.un~
python-cornice.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/cornice/scaffolds/cornice/README.rst_tmpl
python-cornice.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/cornice/scaffolds/cornice/+package+/views.py_tmpl
python-cornice.noarch: E: backup-file-in-package /usr/lib/python2.7/site-packages/cornice/scaffolds/.__init__.py.un~
python-cornice.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/cornice/scaffolds/cornice/+package+.ini_tmpl
python3-cornice-sphinx.noarch: W: no-documentation
python3-cornice.noarch: E: script-without-shebang /usr/lib/python3.4/site-packages/cornice/scaffolds/cornice/+package+/__init__.py_tmpl
python3-cornice.noarch: E: backup-file-in-package /usr/lib/python3.4/site-packages/cornice/scaffolds/.__init__.py.un~
python3-cornice.noarch: E: script-without-shebang /usr/lib/python3.4/site-packages/cornice/scaffolds/cornice/+package+/views.py_tmpl
python3-cornice.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.4/site-packages/cornice/scaffolds/__init__.pyc expected 3310 (3.4), found 62211 (2.7)
python3-cornice.noarch: E: python-bytecode-inconsistent-mtime /usr/lib/python3.4/site-packages/cornice/scaffolds/__init__.pyc 2012-09-10T16:55:08 /usr/lib/python3.4/site-packages/cornice/scaffolds/__init__.py 2014-06-04T15:07:19
python3-cornice.noarch: E: script-without-shebang /usr/lib/python3.4/site-packages/cornice/scaffolds/cornice/setup.py_tmpl
python3-cornice.noarch: E: backup-file-in-package /usr/lib/python3.4/site-packages/cornice/scaffolds/cornice/.setup.py_tmpl.un~
python3-cornice.noarch: E: script-without-shebang /usr/lib/python3.4/site-packages/cornice/scaffolds/cornice/+package+.ini_tmpl
python3-cornice.noarch: E: script-without-shebang /usr/lib/python3.4/site-packages/cornice/scaffolds/cornice/README.rst_tmpl
4 packages and 0 specfiles checked; 16 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-cornice-sphinx (rpmlib, GLIBC filtered):
    python(abi)
    python-cornice
    python-sphinx

python-cornice (rpmlib, GLIBC filtered):
    python(abi)
    python-colander
    python-docutils
    python-pyramid
    python-simplejson
    python-venusian

python3-cornice-sphinx (rpmlib, GLIBC filtered):
    python(abi)
    python3-cornice
    python3-sphinx

python3-cornice (rpmlib, GLIBC filtered):
    python(abi)
    python3-colander
    python3-docutils
    python3-pyramid
    python3-simplejson
    python3-venusian



Provides
--------
python-cornice-sphinx:
    python-cornice-sphinx

python-cornice:
    python-cornice

python3-cornice-sphinx:
    python3-cornice-sphinx

python3-cornice:
    python3-cornice



Source checksums
----------------
https://pypi.python.org/packages/source/c/cornice/cornice-0.16.2.tar.gz :
  CHECKSUM(SHA256) this package     : fd599f18b089d9323e5e780c9f3f0c91c85675dcbfabc521b41984a866d6d446
  CHECKSUM(SHA256) upstream package : fd599f18b089d9323e5e780c9f3f0c91c85675dcbfabc521b41984a866d6d446

Comment 2 Mathieu Bridon 2014-06-04 14:58:06 UTC
Thanks for the review Haikel!

New Package SCM Request
=======================
Package Name: python-cornice
Short Description: Define Web Services in Pyramid
Upstream URL: https://pypi.python.org/pypi/cornice
Owners: bochecha lmacken hguemar
Branches: devel el6 el7
InitialCC:

Comment 3 Gwyn Ciesla 2014-06-04 19:40:51 UTC
Git done (by process-git-requests).

Comment 4 Mathieu Bridon 2014-06-05 02:57:48 UTC
Thanks for the Git Jon!

Package built, closing.


Note You need to log in before you can comment on or make changes to this bug.